org.apache.solr.client.solrj.cloud.autoscaling

## Class VariableBase.LazyVariable

- java.lang.Object
- - org.apache.solr.client.solrj.cloud.autoscaling.VariableBase
  - - org.apache.solr.client.solrj.cloud.autoscaling.VariableBase.LazyVariable

All Implemented Interfaces:
  Variable

Enclosing class:
  VariableBase

    public static class VariableBase.LazyVariable
    extends VariableBase

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.cloud.autoscaling.VariableBase

`VariableBase.CoreIndexSizeVariable, VariableBase.DiskTypeVariable, VariableBase.LazyVariable, VariableBase.TotalDiskVariable`

### Nested classes/interfaces inherited from interface org.apache.solr.client.solrj.cloud.autoscaling.Variable

`Variable.Meta, Variable.Type`

### Field Summary

### Fields inherited from interface org.apache.solr.client.solrj.cloud.autoscaling.Variable

`coreidxsize, NULL`

### Constructor Summary

Constructors
Constructor and Description
`LazyVariable(Variable.Type type)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `getSuggestions(org.apache.solr.client.solrj.cloud.autoscaling.Suggestion.Ctx ctx)`
`boolean` `match(Object inputVal, Operand op, Object val, String name, Row row)`
`Object` `validate(String name, Object val, boolean isRuleVal)`

### Methods inherited from class org.apache.solr.client.solrj.cloud.autoscaling.VariableBase

`compareViolation, getTagType, postValidate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.client.solrj.cloud.autoscaling.Variable

`addViolatingReplicas, computeDeviation, computeValue, convertVal, getOperand, projectAddReplica, projectRemoveReplica`

### Constructor Detail

#### LazyVariable

    public LazyVariable(Variable.Type type)

### Method Detail

#### validate

    public Object validate(String name,
                           Object val,
                           boolean isRuleVal)

Specified by:
  `validate` in interface `Variable`
Overrides:
  `validate` in class `VariableBase`

#### match

    public boolean match(Object inputVal,
                         Operand op,
                         Object val,
                         String name,
                         Row row)

#### getSuggestions

    public void getSuggestions(org.apache.solr.client.solrj.cloud.autoscaling.Suggestion.Ctx ctx)

Specified by:
  `getSuggestions` in interface `Variable`
Overrides:
  `getSuggestions` in class `VariableBase`